%define name libbluray
%define version 0.9.3

%define major 1
%define libname %mklibname bluray %major
%define devname %mklibname bluray -d

Summary:	Blu-Ray Disc playback library for media players
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/developers/libbluray.html
Source:		%{name}-%{version}.tar.xz
Patch1:		libbluray-default-java-home.patch
BuildRequires:	java-rpmbuild
BuildRequires:	ant

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

The library has support for navigation, playlist parsing, menus and BD-J.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package -n %{libname}
Summary:	Blu-Ray Disc playback library for media players
Group:		System/Libraries

%description -n %{libname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package java
Summary:	BD-J support for libbluray
Group:		System/Libraries
Requires:	java >= 1.6
Requires:	jpackage-utils

%description java
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the BD-J support for libbluray.

This package does not contain any DRM circumvention functionality.

%package -n %{devname}
Summary:	libbluray development files
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	bluray-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

These are the files needed for building programs using libbluray.
This package does not contain any DRM circumvention functionality.

%prep
%setup -q -n %{name}-%{version}

%build
# for ant
export JAVA_HOME=%{java_home}
./bootstrap
%configure2_5x --disable-static \
	--with-jdk=%{java_home} \
	--enable-bdjava
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m755 %{buildroot}%{_javadir}
install -m644 .libs/libbluray-j2se-%version.jar %{buildroot}%{_javadir}
rm %{buildroot}%{_libdir}/*.*a

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README.txt COPYING ChangeLog
%{_bindir}/bd_info
%{_libdir}/%{name}.so.%{major}*

%files java
%defattr(-,root,root)
%{_javadir}

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Jun 20 2016 bb <bb> 0.9.3-1pclos2016
- update

* Sat Dec 26 2015 bb <bb> 0.9.2-1pclos2015
- update

* Fri Oct 16 2015 bb <bb> 0.8.0-1pclos2015
- update

* Mon Mar 09 2015 bb <bb> 0.7.0-1pclos2015
- update

* Fri Sep 05 2014 bb <bb> 0.6.2-1pclos2014
- update
